Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 635231

Summary: gobject-introspection-1.52.0 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: gobject-introspectionAssignee: Colin Walters <walters>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: dkrejci, klember, metherid, otaylor, torsava, walters, walters
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gobject-introspection-1.52.0-1.fc26 Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-21 09:59:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 634898, 635242, 1285816, 1333765    
Attachments:
Description Flags
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
none
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
none
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
none
[patch] Update to 1.51.5 (#635231) none

Description Upstream Release Monitoring 2010-09-18 10:15:39 UTC
Latest upstream release: 0.9.6
Current version in Fedora Rawhide: 0.9.3
URL: http://ftp.gnome.org/pub/GNOME/sources/gobject-introspection/0.9/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring

Comment 1 Upstream Release Monitoring 2010-10-02 10:16:24 UTC
Latest upstream release: 0.9.10
Current version in Fedora Rawhide: 0.9.8
URL: http://ftp.gnome.org/pub/GNOME/sources/gobject-introspection/0.9/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring

Comment 2 Upstream Release Monitoring 2011-03-11 11:25:34 UTC
Latest upstream release: 0.10.4
Current version in Fedora Rawhide: 0.10.3
URL: http://download.gnome.org/sources/gobject-introspection/0.10/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Upstream Release Monitoring 2011-03-26 11:21:13 UTC
Latest upstream release: 0.10.6
Current version in Fedora Rawhide: 0.10.3
URL: http://download.gnome.org/sources/gobject-introspection/0.10/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 4 Upstream Release Monitoring 2011-04-05 10:32:05 UTC
Latest upstream release: 0.10.7
Current version in Fedora Rawhide: 0.10.3
URL: http://download.gnome.org/sources/gobject-introspection/0.10/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 5 Upstream Release Monitoring 2011-06-14 10:15:41 UTC
Latest upstream release: 1.29.0
Current version in Fedora Rawhide: 0.10.8
URL: http://download.gnome.org/sources/gobject-introspection/1.29/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 6 Upstream Release Monitoring 2011-07-28 10:21:28 UTC
Latest upstream release: 1.29.16
Current version in Fedora Rawhide: 1.29.0
URL: http://download.gnome.org/sources/gobject-introspection/1.29/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 7 Upstream Release Monitoring 2011-08-30 10:16:59 UTC
Latest upstream release: 1.29.17
Current version in Fedora Rawhide: 1.29.16
URL: http://download.gnome.org/sources/gobject-introspection/1.29/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 8 Upstream Release Monitoring 2011-09-21 10:18:57 UTC
Latest upstream release: 1.30.0
Current version in Fedora Rawhide: 1.29.17
URL: http://download.gnome.org/sources/gobject-introspection/1.30/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 9 Upstream Release Monitoring 2011-10-27 10:20:08 UTC
Latest upstream release: 1.31.0
Current version in Fedora Rawhide: 1.30.0
URL: http://download.gnome.org/sources/gobject-introspection/1.31/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 10 Upstream Release Monitoring 2011-12-06 11:51:01 UTC
Latest upstream release: 1.31.1
Current version in Fedora Rawhide: 1.31.0
URL: http://download.gnome.org/sources/gobject-introspection/1.31/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 11 Upstream Release Monitoring 2012-03-22 11:18:36 UTC
Latest upstream release: 1.31.22
Current version in Fedora Rawhide: 1.31.20
URL: http://download.gnome.org/sources/gobject-introspection/1.31/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 12 Upstream Release Monitoring 2012-03-28 10:22:34 UTC
Latest upstream release: 1.32.0
Current version in Fedora Rawhide: 1.31.20
URL: http://download.gnome.org/sources/gobject-introspection/1.32/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 13 Upstream Release Monitoring 2012-04-18 10:19:12 UTC
Latest upstream release: 1.32.1
Current version in Fedora Rawhide: 1.32.0
URL: http://download.gnome.org/sources/gobject-introspection/1.32/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 14 Upstream Release Monitoring 2012-06-05 20:32:54 UTC
Latest upstream release: 1.33.2
Current version in Fedora Rawhide: 1.32.1
URL: http://download.gnome.org/sources/gobject-introspection/1.33/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 15 Upstream Release Monitoring 2012-06-27 07:10:01 UTC
Latest upstream release: 1.33.3
Current version in Fedora Rawhide: 1.33.2
URL: http://download.gnome.org/sources/gobject-introspection/1.33/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 16 Upstream Release Monitoring 2012-07-17 07:05:56 UTC
Latest upstream release: 1.33.4
Current version in Fedora Rawhide: 1.33.3
URL: http://download.gnome.org/sources/gobject-introspection/1.33/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 17 Upstream Release Monitoring 2012-08-21 07:16:11 UTC
Latest upstream release: 1.33.9
Current version in Fedora Rawhide: 1.33.4
URL: http://download.gnome.org/sources/gobject-introspection/1.33/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 18 Upstream Release Monitoring 2012-09-05 08:20:13 UTC
Latest upstream release: 1.33.10
Current version in Fedora Rawhide: 1.33.4
URL: http://download.gnome.org/sources/gobject-introspection/1.33/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 19 Upstream Release Monitoring 2012-09-19 07:25:38 UTC
Latest upstream release: 1.33.14
Current version in Fedora Rawhide: 1.33.9
URL: http://download.gnome.org/sources/gobject-introspection/1.33/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 20 Upstream Release Monitoring 2012-12-19 07:29:48 UTC
Latest upstream release: 1.35.3
Current version in Fedora Rawhide: 1.35.2
URL: http://download.gnome.org/sources/gobject-introspection/1.35/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 21 Rahul Sundaram 2013-01-26 22:57:03 UTC
What's the status of this?  You haven't pushed a new update in a long time

Comment 22 Upstream Release Monitoring 2013-07-15 12:26:28 UTC
Latest upstream release: 1.37.4
Current version/release in Fedora Rawhide: 1.37.1-1.fc20
URL: http://download.gnome.org/sources/gobject-introspection/1.37/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 23 Upstream Release Monitoring 2013-08-21 08:05:17 UTC
Latest upstream release: 1.37.6
Current version/release in Fedora Rawhide: 1.37.4-2.fc20
URL: http://download.gnome.org/sources/gobject-introspection/1.37/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 24 Upstream Release Monitoring 2013-11-21 13:09:44 UTC
Latest upstream release: 1.39.0
Current version/release in Fedora Rawhide: 1.38.0-1.fc21
URL: http://download.gnome.org/sources/gobject-introspection/1.39/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 25 Upstream Release Monitoring 2014-01-26 11:31:54 UTC
Latest upstream release: 1.39.3
Current version/release in Fedora Rawhide: 1.39.0-1.fc21
URL: http://download.gnome.org/sources/gobject-introspection/1.39/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 26 Upstream Release Monitoring 2015-01-22 09:56:33 UTC
Latest upstream release: 1.43.3
Current version/release in Fedora Rawhide: 1.42.0-1.fc22
URL: http://download.gnome.org/sources/gobject-introspection/1.43/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 27 Upstream Release Monitoring 2015-03-24 12:34:34 UTC
Latest upstream release: 1.44
Current version/release in rawhide: 1.43.92-1.fc23
URL: http://download.gnome.org/sources/gobject-introspection/*/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 28 Upstream Release Monitoring 2015-05-27 00:39:38 UTC
Latest upstream release: 1.45.2
Current version/release in rawhide: 1.44.0-1.fc23
URL: http://download.gnome.org/sources/gobject-introspection/*/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 29 Upstream Release Monitoring 2015-05-27 00:40:05 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-FPnIKV/gobject-introspection.spec
return code:  22
stdout:
Getting http://download.gnome.org/sources/gobject-introspection/1.44/gobject-introspection-1.45.2.tar.xz to ./gobject-introspection-1.45.2.tar.xz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0   366    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 30 Upstream Release Monitoring 2015-05-31 22:50:05 UTC
kalev's gobject-introspection-1.45.2-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=640235

Comment 31 Upstream Release Monitoring 2015-06-17 10:30:02 UTC
ausil's gobject-introspection-1.45.2-2.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=650154

Comment 32 Tomas Orsava 2016-05-31 12:32:05 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 33 Dominika Krejčí 2016-06-08 09:20:27 UTC
Hello Colin,

how is it going? Do you need any help adding Python 3 support to the RPM?

Comment 34 Colin Walters 2016-06-09 01:02:57 UTC
(In reply to Dominika Krejčí from comment #33)
> Hello Colin,
> 
> how is it going? Do you need any help adding Python 3 support to the RPM?

It's not on my priority list but if someone shows up with a patch they claim to have tested I'd review it.

Comment 35 Tomas Orsava 2016-08-26 15:44:22 UTC
Hi Colin!

I'm trying to make a patch for this package, and while the package builds fine for Python 3 (using the --with-python=%{__python3} flag), I've been struggling with a few things:


I've found this changelog entry:
"- Move python library back into /usr/lib/gobject-introspection.  I put
  it there upstream for a reason, namely that apps need to avoid
  polluting the global Python site-packages with bits of their internals.
  It's not a public API."

If the Python 2 module is there, where should the Python 3 module be put?


So far I've figured that the Python contained in this package is a "Python package to create and parse the GIR format", however, is any other package using this? I haven't found any, and due to the location outside of site-packages, users can't easily use it either.


Or is this an internal Python package that is used only within gobject-introspection itself? In that case I think we could possibly switch to Python 3 only.


Thank you for your time!

Comment 36 Tomas Orsava 2016-08-26 16:25:23 UTC
Just to clarify, while it seems the logical solution that the Python part is indeed only used internally, this page [0] claims that gobject-introspection « provides » a "Python package to create and parse the GIR format".

That would imply that the Python package is to be accessible by other packages and/or users. And that'd mean we should provide both Python 2 and Python 3 version.

[0] https://wiki.gnome.org/Projects/GObjectIntrospection#Contents_of_the_package

Comment 37 Upstream Release Monitoring 2016-11-01 00:17:49 UTC
Latest upstream release: 1.51.1
Current version/release in rawhide: 1.50.0-1.fc26
URL: https://wiki.gnome.org/Projects/GObjectIntrospection

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1223/

Comment 38 Upstream Release Monitoring 2016-11-01 00:18:54 UTC
Patching or scratch build for gobject-introspection-1.50.0 failed.

Comment 39 Upstream Release Monitoring 2016-11-01 00:18:58 UTC
Created attachment 1215954 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 40 Upstream Release Monitoring 2016-11-01 00:19:02 UTC
Patches were not touched. All were applied properly

Comment 41 Upstream Release Monitoring 2016-11-01 07:21:30 UTC
kalev's gobject-introspection-1.51.1-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=814153

Comment 42 Upstream Release Monitoring 2017-01-17 12:19:31 UTC
Latest upstream release: 1.51.2
Current version/release in rawhide: 1.51.1-1.fc26
URL: https://wiki.gnome.org/Projects/GObjectIntrospection

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1223/

Comment 43 Upstream Release Monitoring 2017-01-17 12:20:46 UTC
Patching or scratch build for gobject-introspection-1.51.1 failed.

Comment 44 Upstream Release Monitoring 2017-01-17 12:20:50 UTC
Created attachment 1241733 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 45 Upstream Release Monitoring 2017-01-17 12:20:54 UTC
Patches were not touched. All were applied properly

Comment 46 Upstream Release Monitoring 2017-02-13 16:32:21 UTC
rhughes's gobject-introspection-1.51.2-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=858700

Comment 47 Upstream Release Monitoring 2017-02-14 00:19:29 UTC
Latest upstream release: 1.51.3
Current version/release in rawhide: 1.51.2-1.fc26
URL: https://wiki.gnome.org/Projects/GObjectIntrospection

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1223/

Comment 48 Upstream Release Monitoring 2017-02-14 00:20:46 UTC
Patching or scratch build for gobject-introspection-1.51.2 failed.

Comment 49 Upstream Release Monitoring 2017-02-14 00:20:50 UTC
Created attachment 1250086 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 50 Upstream Release Monitoring 2017-02-14 00:20:54 UTC
Patches were not touched. All were applied properly

Comment 51 Upstream Release Monitoring 2017-02-14 15:17:25 UTC
rhughes's gobject-introspection-1.51.3-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=859222

Comment 52 Upstream Release Monitoring 2017-03-15 00:14:11 UTC
Latest upstream release: 1.51.5
Current version/release in rawhide: 1.51.3-1.fc26
URL: https://wiki.gnome.org/Projects/GObjectIntrospection

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1223/

Comment 53 Upstream Release Monitoring 2017-03-15 00:15:22 UTC
Created attachment 1263150 [details]
[patch] Update to 1.51.5 (#635231)

Comment 54 Upstream Release Monitoring 2017-03-15 00:34:59 UTC
hotness's scratch build of gobject-introspection-1.51.5-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=18386285

Comment 55 Upstream Release Monitoring 2017-03-17 08:23:40 UTC
kalev's gobject-introspection-1.51.5-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=870060

Comment 56 Upstream Release Monitoring 2017-03-21 00:16:23 UTC
Latest upstream release: 1.52.0
Current version/release in rawhide: 1.51.5-1.fc27
URL: https://wiki.gnome.org/Projects/GObjectIntrospection

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1223/

Comment 57 Upstream Release Monitoring 2017-03-21 00:16:28 UTC
An unexpected error occured creating the scratch build: please report this issue to the-new-hotness issue tracker at https://github.com/fedora-infra/the-new-hotness/issues

Comment 58 Upstream Release Monitoring 2017-03-21 09:54:34 UTC
kalev's gobject-introspection-1.52.0-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=871132

Comment 59 Red Hat Bugzilla 2023-09-14 01:22:10 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days